ecdfplot {flowViz} | R Documentation

## Method implementing Lattice ECDF plots for flow data

### Description

This function creates Trellis displays of Empirical Cumulative Distribution Functions from flow cytometry data using a formula interface.

### Usage

    ## methods for 'flowSet' objects

    ## S4 method for signature 'formula, flowSet':
    ecdfplot(x, data, xlab, ylab,
             f.value = function(n) ppoints(ceiling(sqrt(n))),
             type = "l", as.table = TRUE,
             ...)

    prepanel.ecdfplot.flowset(x, frames, channel,
                              f.value, ...)
    panel.ecdfplot.flowset(x, frames, channel,
                           f.value, ref = TRUE,
                           groups = NULL, subscripts,
                           col, col.points, pch, cex,
                           alpha, col.line, lty, lwd, ...)

### Arguments

`x` | a formula describing the structure of the plot and the variables to be used in the display. For the prepanel and panel functions, a vector of names for the flow frames to be used in the panel.
`data` | a `flowSet` object that serves as a source of data
`xlab, ylab` | Labels for data axes, with suitable defaults taken from the formula
`f.value` | determines the number of points used in the plot `ecdfplot` for details.
`type` | type of rendering; by default lines are drawn
`as.table` | logical; whether to draw panels from top left
`ref` | logical; whether to add reference lines at 0 and 1
`frames` | environment containing frame-specific data
`channel` | expression involving names of columns in the data
`groups, subscripts` | grouping variable, if specified, and subscripts indexing which frames are being used in the panel. See `xyplot` for details.
`col, col.points, pch, cex, alpha, col.line, lty, lwd` | vector of graphical parameters that are replicated for each group
`...` | more arguments, usually passed on to the underlying lattice methods and the panel function.

### Methods

ecdfplot
  `signature(x = "formula", data = "flowSet")`: plote empirical CDF for a given channel, with one or more samples per panel

### See Also

Not all standard lattice arguments will have the intended effect, but many should. For a fuller description of possible arguments and their effects, consult documentation on lattice.

### Examples

    data(GvHD)

    ecdfplot(~ `FSC-H` | Patient, GvHD, f.value = ppoints(100))

    ecdfplot(~ asinh(`FSC-H`) | Patient, GvHD,
             strip = strip.custom(strip.names = TRUE),
             ref = FALSE)

    ecdfplot(~ asinh(`FSC-H`) | Patient, GvHD, groups = Visit,
             strip = strip.custom(strip.names = TRUE),
             ref = FALSE, auto.key = list(columns = 4))

[Package flowViz version 1.2.0 Index]